USERDEL(8)

NAME
userdel - löscht ein Benutzerkonto und die dazugehörigen Dateien

ÜBERSICHT

userdel [Optionen] ANMELDENAME

BESCHREIBUNG

userdel is a low level utility for removing users. On Debian, administrators should usually use deluser(8) instead.

The userdel command modifies the system account files, deleting all entries that refer to the user name LOGIN. The named user must exist.

OPTIONEN

The options which apply to the userdel command are:

-f, --force
    This option forces the removal of the user account, even if the user is still logged in. It also forces userdel to remove the user's home directory and mail spool, even if another user uses the same home directory or if the mail spool is not owned by the specified user. If USERGROUPS_ENAB is defined to yes in /etc/login.defs and if a group exists with the same name as the deleted user, then this group will be removed, even if it is still the primary group of another user.

    Note: This option is dangerous and may leave your system in an inconsistent state.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-r, --remove
    Die Dateien im Home-Verzeichnis des Benutzers werden zusammen mit dem Home-Verzeichnis und dem Mailspool entfernt. Dateien, die sich nicht unterhalb des Home-Verzeichnisses befinden, müssen per Hand gesucht und gelöscht werden.

    The mail spool is defined by the MAIL_DIR variable in the login.defs file.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-Z, --selinux-user
    entfernt die Zuordnung von SELinux-Benutzern aus den Anmeldeinformationen des Benutzers

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

/etc/shadow-maint/userdel-pre.d/*, /etc/shadow-maint/userdel-post.d/*
    Run-part files to execute during user deletion. The environment variable ACTION will be populated with userdel and SUBJECT with the username. userdel-pre.d will be executed prior to any user deletion. userdel-post.d will execute after user deletion. If a script exits non-zero then execution will terminate.

/etc/subgid
    Per user subordinate group IDs.

/etc/subuid
    Per user subordinate user IDs.

RÜCKGABEWERTE

The userdel command exits with the following values:

0
    success

1
    can't update password file

2
    invalid command syntax

6
    specified user doesn't exist

8
    user currently logged in

10
    can't update group file

12
    can't remove home directory

WARNUNGEN

userdel will not allow you to remove an account if there are running processes which belong to this account. In that case, you may have to kill those processes or lock the user's password or account and remove the account later. The -f option can force the deletion of this account.

Sie sollten von Hand alle Systemdateien überprüfen, um sicherzustellen, dass keine Dateien vorhanden sind, die dem gelöschten Benutzer gehören.

Sie sollten keine NIS-Attribute auf einem NIS-Client löschen. Dies muss auf dem NIS-Server durchgeführt werden.

If USERGROUPS_ENAB is defined to yes in /etc/login.defs, userdel will delete the group with the same name as the user. To avoid inconsistencies in the passwd and group databases, userdel will check that this group is not used as a primary group for another user, and will just warn without deleting the group otherwise. The -f option can force the deletion of this group.

SIEHE AUCH

chfn(1), chsh(1), passwd(1), login.defs(5), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), subgid(5), subuid(5), useradd(8), usermod(8).